Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 644002 - dev-python/sphinx-gallery-0.1.12 stabilisation
Summary: dev-python/sphinx-gallery-0.1.12 stabilisation
Status: RESOLVED DUPLICATE of bug 636054
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 646610
Blocks: 643840
  Show dependency tree
 
Reported: 2018-01-09 13:02 UTC by Andreas Sturmlechner
Modified: 2018-07-28 18:00 UTC (History)
1 user (show)

See Also:
Package list:
dev-python/sphinx-gallery-0.1.12
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2018-01-09 13:02:10 UTC
Required for dev-python/matplotlib[doc].
Comment 1 Stabilization helper bot gentoo-dev 2018-01-09 14:05:55 UTC
An automated check of this bug failed - repoman reported dependency errors (37 lines truncated): 

> dependency.bad dev-python/sphinx-gallery/sphinx-gallery-0.1.12.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['dev-python/matplotlib[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/sphinx-gallery/sphinx-gallery-0.1.12.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['dev-python/matplotlib[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/sphinx-gallery/sphinx-gallery-0.1.12.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0/desktop) ['dev-python/matplotlib[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
Comment 2 Larry the Git Cow gentoo-dev 2018-01-09 14:12:06 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e35d486fd6889d5c669aaef49d369eba54b3371

commit 0e35d486fd6889d5c669aaef49d369eba54b3371
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-01-09 14:11:29 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-01-09 14:11:29 +0000

    dev-python/sphinx-gallery: Fix circular dep
    
    Bug: https://bugs.gentoo.org/644002
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-python/sphinx-gallery/sphinx-gallery-0.1.12.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)}
Comment 3 Andreas Sturmlechner gentoo-dev 2018-01-09 15:40:00 UTC
While matplotlib is now in PDEPEND, this still makes us depend on matplotlib keywording/stabilisation here, and only afterwards can matplotlib[doc] dependency be fixed.
Comment 4 Stabilization helper bot gentoo-dev 2018-01-09 16:01:51 UTC
An automated check of this bug failed - repoman reported dependency errors (37 lines truncated): 

> dependency.bad dev-python/sphinx-gallery/sphinx-gallery-0.1.12.ebuild: PDEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['dev-python/matplotlib[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/sphinx-gallery/sphinx-gallery-0.1.12.ebuild: PDEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['dev-python/matplotlib[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/sphinx-gallery/sphinx-gallery-0.1.12.ebuild: PDEPEND: ppc(default/linux/powerpc/ppc32/13.0/desktop) ['dev-python/matplotlib[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
Comment 5 Stabilization helper bot gentoo-dev 2018-01-09 17:01:16 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 6 Erik Quaeghebeur 2018-01-10 11:00:38 UTC
This bug should also depend on Bug 626878. (I hit that issue while installing matplotlib[-doc], then this package, then matplotlib[doc]. The pytest-runner solution mentioned worked.)
Comment 7 Thomas Deutschmann gentoo-dev Security 2018-01-12 20:07:11 UTC
x86 cannot stabilize due to bug 644002.
Comment 8 Thomas Deutschmann gentoo-dev Security 2018-01-28 20:19:42 UTC
Current AT scripts cannot handle keyword/stabilization requests in one bug. Please split bug if you want to see any progress.
Comment 9 Andreas Sturmlechner gentoo-dev 2018-03-15 20:00:50 UTC

*** This bug has been marked as a duplicate of bug 636054 ***